> ## Documentation Index
> Fetch the complete documentation index at: https://docs.callers.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Update an existing voice by its ID



## OpenAPI

````yaml https://api.callers.ai/openapi-json put /voices/{id}
openapi: 3.0.0
info:
  title: Callers API
  description: API documentation for Callers, providing endpoints for seamless integration.
  version: 1.0.0
  contact: {}
servers:
  - url: https://api.callers.ai
security: []
tags: []
paths:
  /voices/{id}:
    put:
      tags:
        - Voices
      summary: Update an existing voice by its ID
      operationId: VoicePublicController_updateVoice
      parameters:
        - name: id
          required: true
          in: path
          description: ID of the voice to update
          schema:
            type: string
            pattern: ^[0-9a-fA-F]{24}$
        - name: x-sub-organization-id
          in: header
          schema:
            type: string
          description: >-
            Optional sub organization ID. Must belong to your main organization
            API key.
      requestBody:
        required: true
        description: Payload for updating the voice
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/VoiceUpdatePublicZodDto'
      responses:
        '200':
          description: The updated Voice object
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/VoicePublicDto'
        '400':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: string
                    enum:
                      - error
                  message:
                    type: string
                  data:
                    type: array
                    items:
                      type: object
        '403':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: string
                    enum:
                      - error
                  message:
                    type: string
        '404':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: string
                    enum:
                      - error
                  message:
                    type: string
      security:
        - Authorization: []
components:
  schemas:
    VoiceUpdatePublicZodDto:
      type: object
      properties:
        name:
          type: string
          minLength: 5
        isMultilingual:
          type: boolean
        supportedLocales:
          type: array
          items:
            type: string
            enum:
              - en-US
              - en-GB
              - en-AU
              - en-CA
              - en-IE
              - en-IN
              - en-NZ
              - en-ZA
              - en-SG
              - es-ES
              - es-MX
              - es-AR
              - es-CL
              - es-PE
              - fr-FR
              - pt-BR
              - pt-PT
              - zh-CN
              - cmn-EN
              - nl-NL
              - fi-FI
              - de-DE
              - de-AT
              - de-CH
              - de-LU
              - de-LI
              - gsw-CH
              - gsw-LI
              - el-GR
              - hi-IN
              - en-TA
              - id-ID
              - it-IT
              - ja-JP
              - ko-KR
              - ms-MY
              - en-MS
              - ro-RO
              - ru-RU
              - uk-UA
              - ka-GE
              - bg-BG
              - cs-CZ
              - da-DK
              - pl-PL
              - sk-SK
              - sv-SE
              - tr-TR
              - ar-SA
              - ary-MA
              - arz-EG
              - apc-LB
              - apc-SY
              - apc-PS
              - apc-JO
              - acm-IQ
              - ar-AE
              - afb-AE
              - afb-BH
              - afb-KW
              - afb-QA
              - afb-OM
              - hr-HR
              - hr-BA
              - he-IL
              - ur-PK
              - hu-HU
              - fil-PH
              - th-TH
              - vi-VN
            x-enumNames:
              - en-US
              - en-GB
              - en-AU
              - en-CA
              - en-IE
              - en-IN
              - en-NZ
              - en-ZA
              - en-SG
              - es-ES
              - es-MX
              - es-AR
              - es-CL
              - es-PE
              - fr-FR
              - pt-BR
              - pt-PT
              - zh-CN
              - cmn-EN
              - nl-NL
              - fi-FI
              - de-DE
              - de-AT
              - de-CH
              - de-LU
              - de-LI
              - gsw-CH
              - gsw-LI
              - el-GR
              - hi-IN
              - en-TA
              - id-ID
              - it-IT
              - ja-JP
              - ko-KR
              - ms-MY
              - en-MS
              - ro-RO
              - ru-RU
              - uk-UA
              - ka-GE
              - bg-BG
              - cs-CZ
              - da-DK
              - pl-PL
              - sk-SK
              - sv-SE
              - tr-TR
              - ar-SA
              - ary-MA
              - arz-EG
              - apc-LB
              - apc-SY
              - apc-PS
              - apc-JO
              - acm-IQ
              - ar-AE
              - afb-AE
              - afb-BH
              - afb-KW
              - afb-QA
              - afb-OM
              - hr-HR
              - hr-BA
              - he-IL
              - ur-PK
              - hu-HU
              - fil-PH
              - th-TH
              - vi-VN
        settings:
          type: object
          properties:
            stability:
              type: number
              minimum: 0
              exclusiveMinimum: false
              maximum: 1
              exclusiveMaximum: false
              default: 0.5
            similarity_boost:
              type: number
              minimum: 0
              exclusiveMinimum: false
              maximum: 1
              exclusiveMaximum: false
              default: 0.75
            speed:
              type: number
              minimum: -1
              exclusiveMinimum: false
              maximum: 1
              exclusiveMaximum: false
        gender:
          type: string
          enum:
            - MALE
            - FEMALE
          x-enumNames:
            - MALE
            - FEMALE
    VoicePublicDto:
      type: object
      properties:
        id:
          type: string
          description: The ID of the voice
        voiceId:
          type: string
          description: The provider-specific voice ID
        name:
          type: string
          description: The name of the voice
        organizationId:
          type: string
          description: The organization ID that owns this voice
        settings:
          type: object
          description: Additional settings stored in JSON format
          example:
            stability: 0.8
            style: 0.3
        isMultilingual:
          type: boolean
          description: Indicates if the voice supports multiple languages
        supportedLocales:
          description: Array of supported locale strings
          type: array
          items:
            type: string
        ttsClient:
          type: string
          description: Identifier for the TTS (text-to-speech) client
        gender:
          type: string
          description: The gender of the voice
          enum:
            - MALE
            - FEMALE
      required:
        - id
        - voiceId
        - name
        - isMultilingual
        - supportedLocales
        - ttsClient
        - gender
  securitySchemes:
    Authorization:
      type: apiKey
      in: header
      name: Authorization

````